'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _styled = require('styled-components');
var React = require('react');
var index = require('./index-00b34fc0.js');
var TextInput = require('./TextInput.js');
var IconDown = require('./IconDown.js');
var IconSearch = require('./IconSearch.js');
var EscapeOutside = require('./EscapeOutside.js');
var Theme = require('./Theme.js');
var constants = require('./constants.js');
require('./extends-338edd51.js');
require('./text-styles.js');
require('./font.js');
require('./IconPropTypes-73af9330.js');
require('./index-0416038c.js');
require('./defineProperty-26e0e7dd.js');
require('./keycodes.js');
require('./miscellaneous.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./color.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function Dropdown(_ref) {
  let {
    children,
    handleToggle,
    onClose,
    onChange,
    placeholder,
    value,
    visible,
    ...props
  } = _ref;
  const theme = Theme.useTheme();
  return /*#__PURE__*/React__default["default"].createElement(_StyledDiv, props, /*#__PURE__*/React__default["default"].createElement(_StyledTextInput, {
    value: value,
    wide: true,
    placeholder: placeholder,
    adornment: visible ? /*#__PURE__*/React__default["default"].createElement(IconSearch["default"], {
      color: theme.content
    }) : /*#__PURE__*/React__default["default"].createElement(IconDown["default"], {
      color: theme.content
    }),
    adornmentPosition: visible ? 'start' : 'end',
    onClick: handleToggle,
    onChange: onChange,
    readOnly: !onChange,
    $_css: visible ? `${constants.GU * constants.GU}px` : null
  }), /*#__PURE__*/React__default["default"].createElement(EscapeOutside["default"], {
    onEscapeOutside: onClose,
    useCapture: true
  }, /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, visible ? /*#__PURE__*/React__default["default"].createElement(_StyledUl, {
    $_css2: 12 * constants.GU,
    $_css3: 24 * constants.GU,
    $_css4: theme.floatingAlternative,
    $_css5: theme.content,
    $_css6: constants.GU - 3,
    $_css7: theme.scrollbar,
    $_css8: constants.GU - 4
  }, children) : null)));
}

Dropdown.propTypes = {
  children: index.PropTypes.node,
  handleToggle: index.PropTypes.func,
  onClose: index.PropTypes.func,
  onChange: index.PropTypes.func,
  placeholder: index.PropTypes.string,
  value: index.PropTypes.string,
  visible: index.PropTypes.bool
};

var _StyledDiv = _styled__default["default"]("div").withConfig({
  displayName: "Dropdown___StyledDiv",
  componentId: "sc-13pjqhx-0"
})(["position:relative;"]);

var _StyledTextInput = _styled__default["default"](TextInput["default"]).withConfig({
  displayName: "Dropdown___StyledTextInput",
  componentId: "sc-13pjqhx-1"
})(["padding-left:", ";"], p => p.$_css);

var _StyledUl = _styled__default["default"]("ul").withConfig({
  displayName: "Dropdown___StyledUl",
  componentId: "sc-13pjqhx-2"
})(["box-sizing:border-box;width:100%;min-height:", "px;max-height:", "px;overflow-y:scroll;overflow-x:hidden;padding:0;margin:0;list-style:none;background:", ";color:", ";position:absolute;z-index:999;&::-webkit-scrollbar{width:", "px;}&::-webkit-scrollbar-thumb{background-color:", ";border-radius:", "px;}"], p => p.$_css2, p => p.$_css3, p => p.$_css4, p => p.$_css5, p => p.$_css6, p => p.$_css7, p => p.$_css8);

exports["default"] = Dropdown;
//# sourceMappingURL=Dropdown.js.map
