'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-338edd51.js');
var _styled = require('styled-components');
var React = require('react');
var index = require('./index-00b34fc0.js');
var ButtonBase = require('./ButtonBase.js');
var Theme = require('./Theme.js');
var constants = require('./constants.js');
require('./FocusVisible.js');
require('./defineProperty-26e0e7dd.js');
require('./keycodes.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function DropdownItem(_ref) {
  let {
    icon,
    label,
    onClick,
    ...props
  } = _ref;
  const theme = Theme.useTheme();
  return /*#__PURE__*/React__default["default"].createElement(_StyledLi, _extends._extends({}, props, {
    $_css: theme.FloatingAlternativeHover
  }), /*#__PURE__*/React__default["default"].createElement(_StyledButtonBase, {
    onClick: onClick,
    label: label,
    $_css2: 6 * constants.GU
  }, /*#__PURE__*/React__default["default"].createElement(_StyledDiv, {
    $_css3: 2 * constants.GU,
    $_css4: theme.surfacePressed
  }, icon && /*#__PURE__*/React__default["default"].createElement(_StyledImg, {
    src: icon,
    alt: label,
    $_css5: 2 * constants.GU,
    $_css6: 2 * constants.GU
  }), /*#__PURE__*/React__default["default"].createElement(_StyledDiv2, {
    $_css7: theme.content,
    $_css8: icon ? 1 * constants.GU : 0
  }, label))));
}

DropdownItem.propTypes = {
  icon: index.PropTypes.string,
  label: index.PropTypes.string,
  onClick: index.PropTypes.func
};

var _StyledLi = _styled__default["default"]("li").withConfig({
  displayName: "DropdownItem___StyledLi",
  componentId: "sc-1gb2gh-0"
})(["&:hover{background-color:", ";}"], p => p.$_css);

var _StyledButtonBase = _styled__default["default"](ButtonBase["default"]).withConfig({
  displayName: "DropdownItem___StyledButtonBase",
  componentId: "sc-1gb2gh-1"
})(["width:100%;height:", "px;"], p => p.$_css2);

var _StyledDiv = _styled__default["default"]("div").withConfig({
  displayName: "DropdownItem___StyledDiv",
  componentId: "sc-1gb2gh-2"
})(["display:flex;width:100%;padding:", "px;justify-content:left;align-items:center;&:active,&:focus{background:", ";}"], p => p.$_css3, p => p.$_css4);

var _StyledImg = _styled__default["default"]("img").withConfig({
  displayName: "DropdownItem___StyledImg",
  componentId: "sc-1gb2gh-3"
})(["width:", "px;height:", "px;"], p => p.$_css5, p => p.$_css6);

var _StyledDiv2 = _styled__default["default"]("div").withConfig({
  displayName: "DropdownItem___StyledDiv2",
  componentId: "sc-1gb2gh-4"
})(["flex-grow:1;display:flex;align-items:center;color:", ";margin-left:", "px;"], p => p.$_css7, p => p.$_css8);

exports["default"] = DropdownItem;
//# sourceMappingURL=DropdownItem.js.map
