import _styled from 'styled-components';
import React from 'react';
import PropTypes from '../../../node_modules/.pnpm/prop-types@15.7.2/node_modules/prop-types/index.js';
import WrapperTextInput from '../TextInput/TextInput.js';
import IconDown from '../../icons/components/IconDown.js';
import IconPlus from '../../icons/components/IconSearch.js';
import EscapeOutside from '../EscapeOutside/EscapeOutside.js';
import { useTheme } from '../../theme/Theme2.js';
import { GU } from '../../style/constants.js';

function Dropdown(_ref) {
  let {
    children,
    handleToggle,
    onClose,
    onChange,
    placeholder,
    value,
    visible,
    ...props
  } = _ref;
  const theme = useTheme();
  return /*#__PURE__*/React.createElement(_StyledDiv, props, /*#__PURE__*/React.createElement(_StyledTextInput, {
    value: value,
    wide: true,
    placeholder: placeholder,
    adornment: visible ? /*#__PURE__*/React.createElement(IconPlus, {
      color: theme.content
    }) : /*#__PURE__*/React.createElement(IconDown, {
      color: theme.content
    }),
    adornmentPosition: visible ? 'start' : 'end',
    onClick: handleToggle,
    onChange: onChange,
    readOnly: !onChange,
    $_css: visible ? `${GU * GU}px` : null
  }), /*#__PURE__*/React.createElement(EscapeOutside, {
    onEscapeOutside: onClose,
    useCapture: true
  }, /*#__PURE__*/React.createElement(React.Fragment, null, visible ? /*#__PURE__*/React.createElement(_StyledUl, {
    $_css2: 12 * GU,
    $_css3: 24 * GU,
    $_css4: theme.floatingAlternative,
    $_css5: theme.content,
    $_css6: GU - 3,
    $_css7: theme.scrollbar,
    $_css8: GU - 4
  }, children) : null)));
}

Dropdown.propTypes = {
  children: PropTypes.node,
  handleToggle: PropTypes.func,
  onClose: PropTypes.func,
  onChange: PropTypes.func,
  placeholder: PropTypes.string,
  value: PropTypes.string,
  visible: PropTypes.bool
};

var _StyledDiv = _styled("div").withConfig({
  displayName: "Dropdown___StyledDiv",
  componentId: "sc-13pjqhx-0"
})(["position:relative;"]);

var _StyledTextInput = _styled(WrapperTextInput).withConfig({
  displayName: "Dropdown___StyledTextInput",
  componentId: "sc-13pjqhx-1"
})(["padding-left:", ";"], p => p.$_css);

var _StyledUl = _styled("ul").withConfig({
  displayName: "Dropdown___StyledUl",
  componentId: "sc-13pjqhx-2"
})(["box-sizing:border-box;width:100%;min-height:", "px;max-height:", "px;overflow-y:scroll;overflow-x:hidden;padding:0;margin:0;list-style:none;background:", ";color:", ";position:absolute;z-index:999;&::-webkit-scrollbar{width:", "px;}&::-webkit-scrollbar-thumb{background-color:", ";border-radius:", "px;}"], p => p.$_css2, p => p.$_css3, p => p.$_css4, p => p.$_css5, p => p.$_css6, p => p.$_css7, p => p.$_css8);

export { Dropdown as default };
//# sourceMappingURL=Dropdown.js.map
